<%- include('./include/header.ejs'); -%>

    <body class="hold-transition sidebar-mini " style="height: auto; width: auto;"></body>
    <%- include('./include/navBar.ejs'); -%>
        <%- include('./include/slideBar.ejs'); -%>
            <div class="content-wrapper ">
                <form id="updateCategory" class="content">
                    <div class="container-fluid">
                        <!-- SELECT2 EXAMPLE -->
                        <div class="card card-default">
                            <div class="card-header">
                                <h3 class="card-title">Update category</h3>
                            </div>
                            <!-- /.card-header -->
                            <div class="card-body">
                                <div class="row">
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label>name</label>
                                            <input class="form-control" name="name" style="width: 100%;"
                                                value="<%= findCategory.name %>">
                                        </div>
                                    </div>
                                </div>
                                <div class="col-2 btn-lg float-right">
                                    <button type="submit" class="btn btn-primary btn-block">Update</button>
                                </div>
                                <!-- /.col -->
                            </div>
                            <!-- /.row -->
                        </div>
                        <div class="float-right " >
                            <a href="/admin/category/list/view" >Back >>></a>
                        </div>
                    </div>
                </form>
            </div>
            <%- include('./include/footer.ejs'); -%>
                <script>
                    $(document).ready(function () {
                        $('#updateCategory').validate({
                            rules: {
                                name: {
                                    required: true,
                                    maxlength: 15
                                },
                            },
                            messages: {
                                name: {
                                    required: "Please enter a first name",
                                    maxlength: "Your first name must be less than 15 characters"
                                },
                            },
                            errorElement: 'span',
                            errorPlacement: function (error, element) {
                                error.addClass('invalid-feedback');
                                element.closest('.form-group').append(error);
                            },
                            highlight: function (element, errorClass, validClass) {
                                $(element).addClass('is-invalid');
                            },
                            unhighlight: function (element, errorClass, validClass) {
                                $(element).removeClass('is-invalid');
                            }
                        });
                        $("#updateCategory").submit(function (event) {
                            if ($(this).valid()) {
                                event.preventDefault()
                                $.ajax({
                                    url: "/admin/category/update/<%= findCategory._id %>",
                                    method: 'PUT',
                                    headers: { "Authorization": "Bearer " + localStorage.getItem("token") },
                                    data: $("#updateCategory").serialize(),
                                    dataType: 'json',
                                    success: function (data) {
                                        if (data.responseCode == 200) {
                                            toastr.success(data.responseMessage)
                                            window.location.href = "/admin/category/list/view"
                                        }
                                        if (data.responseCode == 400) {
                                            toastr.error(data.responseMessage)
                                        }
                                    },
                                    error: function (data) {
                                        console.log(data);

                                    },
                                })
                            }
                        })
                    })
                </script>
                </body>

                </html>